Skip to main content
POST
/
v2
/
workflow
/
executions
/
list
List Executions
curl --request POST \
  --url https://api.velt.dev/v2/workflow/executions/list \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "definitionId": "<string>",
    "status": "<string>",
    "pageSize": 123,
    "cursor": "<string>"
  }
}
'
{
  "result": {
    "items": [],
    "nextCursor": "eyJvZmZzZXQiOjEwMH0=",
    "hasMore": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

Use this API to paginate through workflow executions. Filter by definitionId and/or status.

Endpoint

POST https://api.velt.dev/v2/workflow/executions/list

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

List running executions for a definition

{
  "data": {
    "definitionId": "marketing-copy-approval",
    "status": "running",
    "pageSize": 50
  }
}

Paginate

{
  "data": {
    "pageSize": 50,
    "cursor": "eyJvZmZzZXQiOjEwMH0="
  }
}

Response

Success Response

{
  "result": {
    "items": [ /* ExecutionView[] */ ],
    "nextCursor": "eyJvZmZzZXQiOjEwMH0=",
    "hasMore": true
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "items": [],
    "nextCursor": "eyJvZmZzZXQiOjEwMH0=",
    "hasMore": true
  }
}